Bug 1088651 - New About tab does not handle existing project Seam text
Summary: New About tab does not handle existing project Seam text
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Zanata
Classification: Retired
Component: Component-UI
Version: development
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 3.4
Assignee: Alex Eng
QA Contact: Zanata-QA Mailling List
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-04-16 23:42 UTC by Damian Jansen
Modified: 2014-07-17 06:39 UTC (History)
4 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2014-07-17 06:39:31 UTC


Attachments (Terms of Use)

Description Damian Jansen 2014-04-16 23:42:19 UTC
Description of problem:
The new About tab shows a mess if the existing text has Seam formatting.
e.g compare the About tab text for zanata-server with
https://translate.zanata.org/zanata/project/view/zanata-server

Perhaps either convert the old Seam text to markdown somehow or render detected old Seam text entries as a Seam object.

Version-Release number of selected component (if applicable):
dev

How reproducible:
Easy always

Comment 1 Alex Eng 2014-04-22 00:57:32 UTC
Pull request:
https://github.com/zanata/zanata-server/pull/421

Comment 3 Sean Flanigan 2014-04-22 02:24:16 UTC
The new About editor links to http://docs.jboss.org/richfaces/latest_3_3_X/en/devguide/html/rich_editor.html#d0e33077 as a markup reference, but it might be better to link to http://docs.jboss.org/seam/2.3.1.Final/reference/html/text.html

Comment 4 Ding-Yi Chen 2014-04-23 05:49:39 UTC
VERIFIED with 

Zanata 3.4.0-SNAPSHOT (git-jenkins-zanata-server-github-pull-requests-1305)

Comment 5 Sean Flanigan 2014-04-24 06:07:31 UTC
As I said in IRC:

aeng_, we can try the plain text editor as you suggest, and see how bad it is editing Seam Text in it.  I think we might at least need a preview mode/button though.

Comment 6 Alex Eng 2014-04-27 22:42:42 UTC
Current fix in https://bugzilla.redhat.com/show_bug.cgi?id=1088651#c4 uses plain text editor but the text is rendered using Seam text. That would not break current seam text project description, and at the same time discourage users to use their own formatting which might distort the project page view.

Seam text output also validate potential security text, e.g. scripts


Note You need to log in before you can comment on or make changes to this bug.